---
# This file contains recommended settings for a GitLab project.
# Based on values given by the GitLab API.

merge_requests_enabled:
  recommended: true
  hint: Enable merge requests.
merge_method:
  recommended: merge
  hint:
    To ensure a full history of what happened with your code, never use fast
    forward. Set 'Merge method' to 'Merge commit'
only_allow_merge_if_pipeline_succeeds:
  recommended: true
  hint:
    Only allow merging when the pipeline succeeds, to ensure no broken code can
    be merged.
only_allow_merge_if_all_discussions_are_resolved:
  recommended: true
  hint:
    Ensure all discussions are resolved before merging. Tedious perhaps, but
    reduces mistakes.
allow_merge_on_skipped_pipeline:
  recommended: false
  hint: Do not allow merging on skipped pipelines.
remove_source_branch_after_merge:
  recommended: true
  hint:
    To keep your repo clean, remove source branches when merge requests are
    merged.
# approvals_before_merge:
#   recommended: higher than
#   hint: ToDo. Needs different checking logic
autoclose_referenced_issues:
  recommended: true
  hint: Set auto close referenced issues.
